# Uses of Class
org.apache.sysds.runtime.lineage.Lineage

Packages that use Lineage
Package
Description
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.controlprogram.parfor
org.apache.sysds.runtime.lineage

## Uses of Lineage in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context that return Lineage
Modifier and Type
Method
Description
`Lineage`
ExecutionContext.`getLineage()`
Methods in org.apache.sysds.runtime.controlprogram.context with parameters of type Lineage
Modifier and Type
Method
Description
`void`
ExecutionContext.`setLineage(Lineage lineage)`

## Uses of Lineage in org.apache.sysds.runtime.controlprogram.parfor

Methods in org.apache.sysds.runtime.controlprogram.parfor that return Lineage
Modifier and Type
Method
Description
`Lineage[]`
RemoteParForJobReturn.`getLineages()`
`static Lineage[]`
RemoteParForUtils.`getLineages(LocalVariableMap[] results)`
Methods in org.apache.sysds.runtime.controlprogram.parfor with parameters of type Lineage
Modifier and Type
Method
Description
`static void`
RemoteParForUtils.`exportLineageItems(long workerID, LocalVariableMap vars, ArrayList<ParForStatementBlock.ResultVar> resultVars, Lineage lineage)`
Export lineage for remote Spark parfor workers.
Constructors in org.apache.sysds.runtime.controlprogram.parfor with parameters of type Lineage
Modifier
Constructor
Description
``
`RemoteParForJobReturn(boolean successful, int numTasks, int numIters, LocalVariableMap[] variables, Lineage[] lineages)`

## Uses of Lineage in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage that return Lineage
Modifier and Type
Method
Description
`static Lineage`
Lineage.`deserialize(Map<String,String> serialLineage)`
Methods in org.apache.sysds.runtime.lineage with parameters of type Lineage
Modifier and Type
Method
Description
`static void`
LineageDebugger.`maintainSpecialValueBits(Lineage lineage, Instruction inst, ExecutionContext ec)`
Constructors in org.apache.sysds.runtime.lineage with parameters of type Lineage
Modifier
Constructor
Description
``
`Lineage(Lineage that)`